package com.nodsw.bddcourse.classcost;

public class Meeting {
	int classSize;
	double hourlyRate;
	double fullHourlyRate;
	double meetingLength;

	public Meeting () {
		classSize = 0;
		hourlyRate = 0.0;
		fullHourlyRate = 0.0;
		meetingLength = 0.0;
	}
	
	public void setClassSizeTo (int classSize) {
		this.classSize = classSize;
	}
	
	public void setAveraageHourlyRateTo ( double hourlyRate ) {
		this.hourlyRate = hourlyRate;
	}
	public void setMeetingLengthTo ( double meetingLength ) {
		this.meetingLength = meetingLength;
	}

	public void addAttendeeByRateToMeeting ( double attendeeHourlyRate ) {
		classSize++;
		fullHourlyRate += attendeeHourlyRate;
		hourlyRate = fullHourlyRate / classSize;
	}

	public double getMeetingCost () {
		double meetingCost = classSize * meetingLength * hourlyRate;
		return (meetingCost > 0.0) ? meetingCost : Double.NaN;
	}

	public int getMeetingSize () {
		return classSize;
	}
}
