Story: calculate the effective business cost of a meeting
As a Presenter
I can compute the meeting business cost
So that the ROI for a meeting may be known

Scenario: presenter enters meeting details directly
Given an empty meeting
When attendance count is set to 10
And average hourly rate is set to 50.00
And meeting length is set to 1
Then ensure meeting cost should be 500.00

Scenario: presenter does not provide hourly rate
Given an empty meeting
When attendance count is set to 10
And meeting length is set to 1
Then ensure meeting cost should not be available

Scenario: presenter enters series of hourly rates for average
Given an empty meeting
And no meeting count
When presenter adds attendee with hourly rate of:
|hourlyRate|
| 45.0 |
| 30.0 |
| 10.0 |
And meeting length is set to 1
Then ensure meeting cost should be 85.00
And meeting count should be 3